Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.scripting.support
Class RefreshableScriptTargetSource

    java.lang.Object
      org.springframework.aop.target.dynamic.AbstractRefreshableTargetSource
          org.springframework.aop.target.dynamic.BeanFactoryRefreshableTargetSource
              org.springframework.scripting.support.RefreshableScriptTargetSource

All Implemented Interfaces:
  Refreshable, TargetClassAware, TargetSource

    public class RefreshableScriptTargetSource

extends BeanFactoryRefreshableTargetSource

Subclass of BeanFactoryRefreshableTargetSource that determines whether a refresh is required through the given ScriptSource.

Since:
  2.0
Author:
  Rob Harrop, Rod Johnson

Field Summary

Fields inherited from class org.springframework.aop.target.dynamic.AbstractRefreshableTargetSource
`logger, targetObject`

Constructor Summary
`RefreshableScriptTargetSource(BeanFactory beanFactory, String beanName, ScriptSource scriptSource)` Create a new RefreshableScriptTargetSource.

Method Summary
`protected boolean` | `requiresRefresh()` Determine whether a refresh is required through calling ScriptSource's `isModified()` method.

Methods inherited from class org.springframework.aop.target.dynamic.BeanFactoryRefreshableTargetSource
`freshTarget`

Methods inherited from class org.springframework.aop.target.dynamic.AbstractRefreshableTargetSource
`getLastRefreshTime, getRefreshCount, getTarget, getTargetClass, isStatic, refresh, releaseTarget, setRefreshCheckDelay`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RefreshableScriptTargetSource

    public RefreshableScriptTargetSource(BeanFactory beanFactory,
                                         String beanName,
                                         ScriptSource scriptSource)

  Create a new RefreshableScriptTargetSource.

  Parameters:
    `beanFactory` - the BeanFactory to fetch beans from
    `beanName` - the name of the target bean
    `scriptSource` - the ScriptSource to delegate to for determining whether a refresh is required

Method Detail

### requiresRefresh

    protected boolean requiresRefresh()

  Determine whether a refresh is required through calling ScriptSource's `isModified()` method.

  Overrides:
    `requiresRefresh` in class `AbstractRefreshableTargetSource`
  Returns:
    whether a refresh is required
  See Also:
    `ScriptSource.isModified()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.